Subject: Re: bug#16357: insufficient print abbreviation in error messages

From: Andy Wingo <[email-masked]>
Date: Thu, 23 Jun 2016 19:59:10 +0200

On Thu 23 Jun 2016 18:57, Mark H Weaver <[email-masked]> writes:

> Andy Wingo <[email-masked]> writes:
>> Or, we could use print states.  But print states are not so great and
>> ideally we would remove them eventually.
>
> We will need print states, or something like them, to support writing
> cyclic data structures as required by R7RS.

I was thinking parameters would be sufficient.  Dunno.  WDYT about that?

Andy